<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: src/examples/pyopsim.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e931c1a3f0014e624d0645a271726ad2.html">examples</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">pyopsim.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyopsim_1_1OsimModel.html">OsimModel</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class creating a Osim Model, saving and updating useful informations about it.  <a href="classpyopsim_1_1OsimModel.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacepyopsim"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html">pyopsim</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3b688c6537afed2259feb618a81d229d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a3b688c6537afed2259feb618a81d229d">displayModel</a> (osimModel, osimState, trc_path, compl_ik_path)</td></tr>
<tr class="memdesc:a3b688c6537afed2259feb618a81d229d"><td class="mdescLeft">&#160;</td><td class="mdescRight">(BETA).  <a href="namespacepyopsim.html#a3b688c6537afed2259feb618a81d229d">More...</a><br /></td></tr>
<tr class="separator:a3b688c6537afed2259feb618a81d229d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1bf5b9a13280b375b750838a44d113a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ae1bf5b9a13280b375b750838a44d113a">getBodiesPositions</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:ae1bf5b9a13280b375b750838a44d113a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the positions of the body parts of the model, expressed into the global referential Ground.  <a href="namespacepyopsim.html#ae1bf5b9a13280b375b750838a44d113a">More...</a><br /></td></tr>
<tr class="separator:ae1bf5b9a13280b375b750838a44d113a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac518ca564768586929eeefc959f589ed"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ac518ca564768586929eeefc959f589ed">getCorresJointsCoord</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:ac518ca564768586929eeefc959f589ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get a quick access to the correspondances between the joints of the model and the coordinates associated with each one of those joints.  <a href="namespacepyopsim.html#ac518ca564768586929eeefc959f589ed">More...</a><br /></td></tr>
<tr class="separator:ac518ca564768586929eeefc959f589ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf912f284fdaba1643ecb7218e4d9ad6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#adf912f284fdaba1643ecb7218e4d9ad6">getCorresQCoord</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:adf912f284fdaba1643ecb7218e4d9ad6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the correspondance between the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q.  <a href="namespacepyopsim.html#adf912f284fdaba1643ecb7218e4d9ad6">More...</a><br /></td></tr>
<tr class="separator:adf912f284fdaba1643ecb7218e4d9ad6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19739b02bfbcb33f005471da9b34ff27"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a19739b02bfbcb33f005471da9b34ff27">getGroundProperties</a> (osimModel)</td></tr>
<tr class="memdesc:a19739b02bfbcb33f005471da9b34ff27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to gather some useful properties about the Ground link of the .osim model.  <a href="namespacepyopsim.html#a19739b02bfbcb33f005471da9b34ff27">More...</a><br /></td></tr>
<tr class="separator:a19739b02bfbcb33f005471da9b34ff27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad671c4425a42e12ad62cfe266ff4054f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ad671c4425a42e12ad62cfe266ff4054f">getJacobian</a> (osimModel, osimState, v=osim.Vec3(), n=0)</td></tr>
<tr class="memdesc:ad671c4425a42e12ad62cfe266ff4054f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a 6xNQ frame task Jacobian, for a frame task A fixed to a body B designated by an index n.  <a href="namespacepyopsim.html#ad671c4425a42e12ad62cfe266ff4054f">More...</a><br /></td></tr>
<tr class="separator:ad671c4425a42e12ad62cfe266ff4054f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a781202b3a15e20094bd423aab07bc5ff"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a781202b3a15e20094bd423aab07bc5ff">getJointsLimits</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a781202b3a15e20094bd423aab07bc5ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the limits values of each one of the DOF of the model.  <a href="namespacepyopsim.html#a781202b3a15e20094bd423aab07bc5ff">More...</a><br /></td></tr>
<tr class="separator:a781202b3a15e20094bd423aab07bc5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36c2991f7c44a8dfc3abfffb13608103"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a36c2991f7c44a8dfc3abfffb13608103">getJointsPositions</a> (osimModel, osimState, refe=&quot;Ground&quot;, n=1)</td></tr>
<tr class="memdesc:a36c2991f7c44a8dfc3abfffb13608103"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the positions of one of the two frames of the joints of the model.  <a href="namespacepyopsim.html#a36c2991f7c44a8dfc3abfffb13608103">More...</a><br /></td></tr>
<tr class="separator:a36c2991f7c44a8dfc3abfffb13608103"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62fd65dbc9b4909b732e279a14019cff"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a62fd65dbc9b4909b732e279a14019cff">getJointsValues</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a62fd65dbc9b4909b732e279a14019cff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get, for each coordinate object of the .osim model, its value.  <a href="namespacepyopsim.html#a62fd65dbc9b4909b732e279a14019cff">More...</a><br /></td></tr>
<tr class="separator:a62fd65dbc9b4909b732e279a14019cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8edc5175d0375abd6c5914041be7296f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a8edc5175d0375abd6c5914041be7296f">ikFromFile</a> (osimModel, osimState, trc_path, compl_ik_path, mot_path)</td></tr>
<tr class="separator:a8edc5175d0375abd6c5914041be7296f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13a8c39c19abf139d7fb2809ec1c918b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a13a8c39c19abf139d7fb2809ec1c918b">Mnumpy</a> (matrix, mat_type)</td></tr>
<tr class="memdesc:a13a8c39c19abf139d7fb2809ec1c918b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transform a Mat33 object into a numpy array.  <a href="namespacepyopsim.html#a13a8c39c19abf139d7fb2809ec1c918b">More...</a><br /></td></tr>
<tr class="separator:a13a8c39c19abf139d7fb2809ec1c918b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcb104ece4103021eeee35c2fdcb0519"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#adcb104ece4103021eeee35c2fdcb0519">numpy</a> (matrix)</td></tr>
<tr class="memdesc:adcb104ece4103021eeee35c2fdcb0519"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to transform OpenSim Mat33 or Vec into numpy objects.  <a href="namespacepyopsim.html#adcb104ece4103021eeee35c2fdcb0519">More...</a><br /></td></tr>
<tr class="separator:adcb104ece4103021eeee35c2fdcb0519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a765b3a1f1210d41e30d854a505ec0c31"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a765b3a1f1210d41e30d854a505ec0c31">printBodiesPositions</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a765b3a1f1210d41e30d854a505ec0c31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to get the positions of the body parts of the model into the ground referential.  <a href="namespacepyopsim.html#a765b3a1f1210d41e30d854a505ec0c31">More...</a><br /></td></tr>
<tr class="separator:a765b3a1f1210d41e30d854a505ec0c31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96871d8131d523291742f6d1cdd55a19"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a96871d8131d523291742f6d1cdd55a19">printCorresQCoord</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a96871d8131d523291742f6d1cdd55a19"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the correspondance between the index associated with the value of the joints of the model, for the variable coordinateSet and the variable Q.  <a href="namespacepyopsim.html#a96871d8131d523291742f6d1cdd55a19">More...</a><br /></td></tr>
<tr class="separator:a96871d8131d523291742f6d1cdd55a19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71baed3b35c1b98f13233035b71cca81"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a71baed3b35c1b98f13233035b71cca81">printFramesNumber</a> (osimModel)</td></tr>
<tr class="memdesc:a71baed3b35c1b98f13233035b71cca81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the index and the name of each frame associated with the model.  <a href="namespacepyopsim.html#a71baed3b35c1b98f13233035b71cca81">More...</a><br /></td></tr>
<tr class="separator:a71baed3b35c1b98f13233035b71cca81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20d69b37a701e90e96604bd2722ddf0c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a20d69b37a701e90e96604bd2722ddf0c">printJointsDivisionsIntoOneDOF</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a20d69b37a701e90e96604bd2722ddf0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the correspondances between the joints of the model and the coordinates associated with each one of those joints.  <a href="namespacepyopsim.html#a20d69b37a701e90e96604bd2722ddf0c">More...</a><br /></td></tr>
<tr class="separator:a20d69b37a701e90e96604bd2722ddf0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07614de5abc15e2bdac9c921ccb8e0de"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a07614de5abc15e2bdac9c921ccb8e0de">printJointsLimits</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a07614de5abc15e2bdac9c921ccb8e0de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the limits values of each one of the DOF of the model, based on the method getJointsLimits.  <a href="namespacepyopsim.html#a07614de5abc15e2bdac9c921ccb8e0de">More...</a><br /></td></tr>
<tr class="separator:a07614de5abc15e2bdac9c921ccb8e0de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5cf2ae7d7023c63e37c623d65abf464"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ae5cf2ae7d7023c63e37c623d65abf464">printJointsPositions</a> (osimModel, osimState, refe=&quot;Ground&quot;, n=1)</td></tr>
<tr class="memdesc:ae5cf2ae7d7023c63e37c623d65abf464"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the positions of one of the two frames of the joints of the model, into a chosen referential.  <a href="namespacepyopsim.html#ae5cf2ae7d7023c63e37c623d65abf464">More...</a><br /></td></tr>
<tr class="separator:ae5cf2ae7d7023c63e37c623d65abf464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a655035cd5c9e234cf9cd04623599ef74"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a655035cd5c9e234cf9cd04623599ef74">printJointsPositionsAllFrames</a> (osimModel, osimState, refe=&quot;Ground&quot;)</td></tr>
<tr class="memdesc:a655035cd5c9e234cf9cd04623599ef74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the positions of all the frames of each joint, into a chosen referential "refe".  <a href="namespacepyopsim.html#a655035cd5c9e234cf9cd04623599ef74">More...</a><br /></td></tr>
<tr class="separator:a655035cd5c9e234cf9cd04623599ef74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f60cf1e5cdf3037f08680398095fad0"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a1f60cf1e5cdf3037f08680398095fad0">printJointsValues</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:a1f60cf1e5cdf3037f08680398095fad0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to print the value of each of the coordinates of the model.  <a href="namespacepyopsim.html#a1f60cf1e5cdf3037f08680398095fad0">More...</a><br /></td></tr>
<tr class="separator:a1f60cf1e5cdf3037f08680398095fad0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e8c8724f4e839adb273d666d8662d5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ae8e8c8724f4e839adb273d666d8662d5">setQ</a> (osimModel, osimState, LQ)</td></tr>
<tr class="memdesc:ae8e8c8724f4e839adb273d666d8662d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to set the Q vector of a .osim Model, according to a list LQ.  <a href="namespacepyopsim.html#ae8e8c8724f4e839adb273d666d8662d5">More...</a><br /></td></tr>
<tr class="separator:ae8e8c8724f4e839adb273d666d8662d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cdbbf0685f01c5f2ac1fa5764f2bee"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ab6cdbbf0685f01c5f2ac1fa5764f2bee">setToNeutral</a> (osimModel, osimState)</td></tr>
<tr class="memdesc:ab6cdbbf0685f01c5f2ac1fa5764f2bee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Method used to set to 0 all of the values of the articulations of the system.  <a href="namespacepyopsim.html#ab6cdbbf0685f01c5f2ac1fa5764f2bee">More...</a><br /></td></tr>
<tr class="separator:ab6cdbbf0685f01c5f2ac1fa5764f2bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af730c8bf40d50c30cab68925e4f47745"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#af730c8bf40d50c30cab68925e4f47745">tryForwardTool</a> (osimModel)</td></tr>
<tr class="memdesc:af730c8bf40d50c30cab68925e4f47745"><td class="mdescLeft">&#160;</td><td class="mdescRight">(BETA).  <a href="namespacepyopsim.html#af730c8bf40d50c30cab68925e4f47745">More...</a><br /></td></tr>
<tr class="separator:af730c8bf40d50c30cab68925e4f47745"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1def59d3bcac2a60e67cd98858085dbc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a1def59d3bcac2a60e67cd98858085dbc">Vnumpy</a> (matrix, mat_type)</td></tr>
<tr class="memdesc:a1def59d3bcac2a60e67cd98858085dbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transform a Vec object into a numpy array.  <a href="namespacepyopsim.html#a1def59d3bcac2a60e67cd98858085dbc">More...</a><br /></td></tr>
<tr class="separator:a1def59d3bcac2a60e67cd98858085dbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9943cdc47fcab4aaa9250f232906cba0"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a9943cdc47fcab4aaa9250f232906cba0">geometry_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/SimulationDataAndSetupFiles-4.0/Geometry&quot;</td></tr>
<tr class="memdesc:a9943cdc47fcab4aaa9250f232906cba0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the .vtp files associated with the .osim model.  <a href="namespacepyopsim.html#a9943cdc47fcab4aaa9250f232906cba0">More...</a><br /></td></tr>
<tr class="separator:a9943cdc47fcab4aaa9250f232906cba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf06840bb7321db3b08b1b60a3792784"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#aaf06840bb7321db3b08b1b60a3792784">ik_path</a> = &quot;/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/&quot;</td></tr>
<tr class="memdesc:aaf06840bb7321db3b08b1b60a3792784"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to the folder containing Inverse Kinematics configuration file.  <a href="namespacepyopsim.html#aaf06840bb7321db3b08b1b60a3792784">More...</a><br /></td></tr>
<tr class="separator:aaf06840bb7321db3b08b1b60a3792784"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">OS_model</a> = OsimModel(scaled_MM_Moved_path,geometry_path,ik_path,setup_ik_path,trc_path)</td></tr>
<tr class="memdesc:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor of the <a class="el" href="classpyopsim_1_1OsimModel.html" title="Class creating a Osim Model, saving and updating useful informations about it. ">OsimModel</a> class.  <a href="namespacepyopsim.html#a2b2cdeddc2e39b6afd75bb7f97bcc5dc">More...</a><br /></td></tr>
<tr class="separator:a2b2cdeddc2e39b6afd75bb7f97bcc5dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac04608373464fc669028ef23af4033b4"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#ac04608373464fc669028ef23af4033b4">scaled_MM_Moved_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/arm26.osim'</td></tr>
<tr class="memdesc:ac04608373464fc669028ef23af4033b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Complete path to the .osim file.  <a href="namespacepyopsim.html#ac04608373464fc669028ef23af4033b4">More...</a><br /></td></tr>
<tr class="separator:ac04608373464fc669028ef23af4033b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0012dbb9400ca356bc79721469efbda"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#aa0012dbb9400ca356bc79721469efbda">setup_ik_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/Setup_IK_arm26_elbow_flex.xml'</td></tr>
<tr class="memdesc:aa0012dbb9400ca356bc79721469efbda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the Inverse Kinematics configuration file.  <a href="namespacepyopsim.html#aa0012dbb9400ca356bc79721469efbda">More...</a><br /></td></tr>
<tr class="separator:aa0012dbb9400ca356bc79721469efbda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51789b56e7ee8adcfa2d6d201380191a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">trc_path</a> = '/home/auctus/Documents/OpenSim/4.2-2020-11-24-d9c8bb2c/Models/Arm26/OutputReference/InverseKinematics/arm26_elbow_flex.trc'</td></tr>
<tr class="memdesc:a51789b56e7ee8adcfa2d6d201380191a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Path to a trc file associated with the .osim file.  <a href="namespacepyopsim.html#a51789b56e7ee8adcfa2d6d201380191a">More...</a><br /></td></tr>
<tr class="separator:a51789b56e7ee8adcfa2d6d201380191a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
